package com.phoenix.fun.nessaj.core.spi;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * com.phoenix.fun.nessaj.core.spi Created by 落叶 on 2020/12/25 at nessaj.
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE})
public @interface SPI {

  /**
   * 配置环境变量中的key
   *
   * @return
   */
  String key() default "";

  /**
   * 默认实现
   *
   * @return
   */
  String defaultValue() default "";
}
